%define module 	XML-PYX
%define version 0.07
%define release 6mdk

Summary:	%{module} perl module
Name: 		perl-%{module}
Version: 	%{version}
Release: 	%{release}
License: 	GPL or Artistic
Url:		http://www.cpan.org
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
Requires: 	perl 
BuildRequires:	perl-XML-Parser perl-devel
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
Buildarch: 	noarch

%description
%{module} perl module


%prep
%setup -q  -n %{module}-%{version}

%build

CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%install
rm -rf $RPM_BUILD_ROOT

make PREFIX=$RPM_BUILD_ROOT%{_prefix} install

%clean 
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc README MANIFEST 
%{perl_vendorlib}/XML/*
%{_mandir}/*/*
%_bindir/*

%changelog
* Wed Jun 30 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.07-6mdk
- rebuild

* Mon May 05 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.07-5mdk
- buildrequires

* Fri Jan 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.07-4mdk
- rebuild

* Wed Jul 31 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.07-3mdk
- rebuild with new perl

* Thu Aug 23 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.07-2mdk
- rebuild

* Tue Feb 20 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.07-1mdk
- added in contribs  by Christian Zoffoli <czoffoli@linux-mandrake.com> :
	- First Mandrake Release
